[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLStatement.Database

Database instance to execute statement on.

## Declaration

Source position: sqldb.pp line 433

`published property TSQLStatement.Database : TSQLConnection;`

## Description

Database must be set to an instance of a TSQLConnection descendent. It must be set, together with Transaction in order to be able to call Prepare or Execute.

## See also

Transaction |  | The transaction in which the SQL statement should be executed.
Prepare |  | Prepare the statement for execution
Execute |  | Execute the SQL statement.